<?php
//Check if user is "logged in"
if (!defined('FREEPBX_IS_AUTH')) { die('No direct script access allowed'); }

//print_r($_REQUEST);



?>

<div class="container-fluid">
	<h1><?php echo _("Voximal Settings")?></h1>
	<div class = "display">
		<div class="row">
			<div class="col-md-11">
				<div class="fpbx-container">
						<ul class="nav nav-tabs" role="tablist">
							<li data-name="voximalcfg_general"  class="change-tab active"><a href="#voximalcfg_general" aria-controls="voximalcfg_general" role="tab" data-toggle="tab"><?php echo _("General Settings")?></a></li>
							<li data-name="voximalcfg_tts" class="change-tab"><a href="#voximalcfg_tts" aria-controls="voximalcfg_tts" role="tab" data-toggle="tab"><?php echo _("Synthesis")?></a></li>
							<li data-name="voximalcfg_asr" class="change-tab"><a href="#voximalcfg_asr" aria-controls="voximalcfg_asr" role="tab" data-toggle="tab"><?php echo _("Recognition")?></a></li>
							<li data-name="voximalcfg_lic" class="change-tab"><a href="#voximalcfg_lic" aria-controls="voximalcfg_lic" role="tab" data-toggle="tab"><?php echo _("License")?></a></li>
							<!-- <li data-name="voximalcfg_call" class="change-tab"><a href="#voximalcfg_call" aria-controls="voximalcfg_call" role="tab" data-toggle="tab"><?php echo _("Call Test")?></a></li> -->
							<!-- <li data-name="voximalcfg_keyjson" class="change-tab"><a href="#voximalcfg_keyjson" aria-controls="voximalcfg_keyjson" role="tab" data-toggle="tab" id="id_voximalcfg_keyjson" ><?php echo _("Credential-key")?></a></li> -->
						</ul>
						<form class="fpbx-submit" action="" method="post" id="voximalsettings">
						<div class="tab-content display">
							<?php include(dirname(__FILE__) . '/views/general.voximalsettings.php');?>
							<?php include(dirname(__FILE__) . '/views/tts.voximalsettings.php');?>
							<?php include(dirname(__FILE__) . '/views/asr.voximalsettings.php'); ?>
							<?php include(dirname(__FILE__) . '/views/license.voximalsettings.php');?>
							<?php /* include(dirname(__FILE__) . '/views/calltest.voximalsettings.php'); */?>
							<?php /* include(dirname(__FILE__) . '/views/keyjson.voximalsettings.php'); */ ?>
						</div>
						</form>
				</div>
			</div>
		</div>
	</div>
</div>


