<?php 
// File    : call.voximalsettings.php
// Version : $Revision: 1.11 $


global $astman;

if (isset($_POST['form'])) {
    if ($_POST['iaxport'] != $_POST['prevport']) {
        // Update iaxport
    	updateIAXConf($_POST['iaxport']);
	    needreload();
    }
    if ($_POST['iaxport'] != $_POST['prevport'] ||
        $_POST['mobilephone'] != $_POST['prevnumber']) {
        setCallParams($_POST['iaxport'], $_POST['mobilephone']) ;
    }
}

// Get command voximal show license
if ($astman) {
	$out = $astman->send_request('Command',array('Command'=>"voximal show license"));
	$out = explode("\n",$out['data']);

    foreach ($out as $line) {
        if (strpos($line,":") !== false) {
            $value = explode(":", $line);
            if (count($value) == 1)
            $value[1]="";
            list($key, $val) = $value;
            $license_infos[rtrim(ltrim($key))] = trim(ltrim($val));
        }
    }
    //print_r ($license_infos);
}


// Get the Test Identification Number
if (isset($license_infos["PIN"])) {
    $PIN = $license_infos["PIN"];
}
else {
    $PIN = "0000";
}
if (isset($license_infos["iaxport"])) {
    $iaxport = $license_infos["iaxport"];
}
else {
    $iaxport = "4569";
}
if (isset($license_infos["phonenumber"])) {
    $phonenumber = $license_infos["phonenumber"];
}
else {
    $phonenumber = "";
}

// Check iax port in iax_custom.conf file
//  [general]
//  port=5036
/*$iaxport     = "4569";
$phonenumber = "";
$out = shell_exec("grep port /etc/asterisk/iax_general_custom.conf | cut -d'=' -f 2");
$out = str_replace("\n","",rtrim(ltrim($out)));
if (!empty($out) && $out != "")
    $iaxport = $out;
$out = shell_exec("grep phonenumber /var/opt/voximal/testcall.conf | cut -d'=' -f 2");
$out = str_replace("\n","",rtrim(ltrim($out)));
if (!empty($out) && $out != "" )
    $phonenumber = $out;
*/
?>



<div id="voximalcfg_call" class="tab-pane">
<input type="hidden" name="action" value="save">
<input type="hidden" id="prevport" name="prevport" value="<?php echo $iaxport?>">
<input type="hidden" id="prevnumber" name="prevnumber" value="<?php echo $phonenumber?>">

<div class="well well-info">
<div class="well">
	<h2><?php echo _("Test your voxibot")?> </h2>
	<table>
		<tr><td><?php echo _("You can easly make tests by calling your Voxibot :")?></td></tr>
		<tr><td><?php echo _("Call the ")?> <b><a href='tel:0033972538823'>+33(0)972538823</a></b><?php echo _(" and enter the followed PIN number.")?></td></tr>
		<tr><td><br></td></tr>
	</table>
</div>
<!--PIN-->
<div class="element-container">
	<div class="row">
		<div class="col-md-12">
			<div class="row">
				<div class="form-group">
					<div class="col-md-3">
						<label class="control-label" for="callpin"><?php echo _("PIN") ?></label>
						<i class="fa fa-question-circle fpbx-help-icon" data-for="callpin"></i>
					</div>
					<div class="col-md-9 radioset">
						<b><?php echo $PIN;?></b>
					</div>
				</div>
			</div>
		</div>
	</div>
	<div class="row">
		<div class="col-md-12">
			<span id="callpin-help" class="help-block fpbx-help-block"> <?php echo _("This is your Test Identification Number. This PIN is used to access this IVR when you call the Voximal Test Phone Number +33XXXXXXX."); ?></span>
		</div>
	</div>
</div>
<!-- END PIN -->
<!--PORT-->
<div class="element-container">
	<div class="row">
		<div class="col-md-12">
			<div class="row">
				<div class="form-group">
					<div class="col-md-3">
						<label class="control-label" for="portnumber"><?php echo _("PORT") ?></label>
						<i class="fa fa-question-circle fpbx-help-icon" data-for="portnumber"></i>
					</div>
					<div class="col-md-9 radioset">
						<?php echo $iaxport;?>
					</div>
				</div>
			</div>
		</div>
	</div>
	<div class="row">
		<div class="col-md-12">
			<span id="portnumber-help" class="help-block fpbx-help-block"> <?php echo _("The UDP port number to use to access to the Call Test Interface (you need to enable this UDP port number for external internet access). <br>Default value: 4569"); ?></span>
		</div>
	</div>
</div>
<!-- END PORT -->
	
</div>
									
</div>

