<?php

$accounts_list = FreePBX::Voximal()->getAllVoximalAccounts();
if($accounts_list){
	$account_url = array();
        	foreach($accounts_list as $tmp_account){
                	if($item['id'] !=  $tmp_account['id']){
                        	$account_url[] = $tmp_account['url'];
                	}
		}
}

$vxmlServicesList = getVoximalServices();

?>
<script>
var account_url = [];
<?php
if(!empty($account_url)){
	echo "account_url = " . json_encode($account_url) . ";";
}
?>

</script>
<h3>
	<?php echo !empty($item['id']) ? sprintf(_("Edit Account: %s"),$item['name']) : _("Add Account")?>
</h3>
<div class="display full-border">
	<form class="fpbx-submit" id="voximalapp" name="voximalapp"  method="post" <?php if(isset($item['id'])) {?>data-fpbx-delete="?display=voximalapp&amp;action=delete&amp;id=<?php echo $item['id']?><?php }?>">
		<input type="hidden" name="id" value="<?php echo isset($item['id']) ? $item['id'] : ""?>">
		<input type="hidden" name="prevname" value="<?php echo isset($item['name']) ? $item['name'] : ""?>">
		<input type="hidden" name="action" value="save">
		<div class="element-container">
			<div class="row">
				<div class="col-md-12">
					<div class="row">
						<div class="form-group">
							<div class="col-md-3">
								<label class="control-label" for="name"><?php echo _('Name')?></label>
								<i class="fa fa-question-circle fpbx-help-icon" data-for="name"></i>
							</div>
							<div class="col-md-9"><input type="text" name="name" class="form-control" id="name" value="<?php echo !empty($item['name']) ? $item['name'] : ""?>" required data-invalid="Account URL."></div>
						</div>
					</div>
				</div>
			</div>
			<div class="row">
				<div class="col-md-12">
					<span id="name-help" class="help-block fpbx-help-block"><?php echo _('Name of the account.')?></span>
				</div>
			</div>
		</div>
		<div class="element-container">
			<div class="row">
				<div class="col-md-12">
					<div class="row">
						<div class="form-group">
							<div class="col-md-3">
								<label class="control-label" for="number"><?php echo _('Number')?></label>
								<i class="fa fa-question-circle fpbx-help-icon" data-for="number"></i>
							</div>
							<div class="col-md-9">
								<input type="text" name="number" maxlength="15" class="form-control" id="number" value="<?php echo !empty($item['number']) ? $item['number'] : ""?>">
							</div>
						</div>
					</div>
				</div>
			</div>
			<div class="row">
				<div class="col-md-12">
					<span id="number-help" class="help-block fpbx-help-block"><?php echo _('Number.')?></span>
				</div>
			</div>
		</div>
		<div class="element-container">
			<div class="row">
				<div class="col-md-12">
					<div class="row">
						<div class="form-group">
							<div class="col-md-3">
								<label class="control-label" for="url"><?php echo _('Url')?></label>
								<i class="fa fa-question-circle fpbx-help-icon" data-for="url"></i>
							</div>
							<div class="col-md-9">
							<!-- <input type="text" name="url" class="form-control" id="url" value="<?php echo !empty($item['url']) ? $item['url'] : ""?>" required data-invalid="Account URL."> -->
							<select id="selurl" name="selurl" class="form-control"  onchange="urlOnChangeHandler()" >
							<?php
							    // List all vxml files
								//echo '<option value="" >'."</option>\n";
								$selectedurl = "";
								foreach ( $vxmlServicesList as $k => $vxmlfile ){
									$vxmlfile = $vxmlfile; // "http://localhost/vxml/".
									/* <option value="<?php echo $vxmlfile;?>" <?php echo $item['url']== $vxmlfile?"selected":""?>><?php echo $vxmlfile?></option>*/
									if ($item['url'] == "http://localhost/vxml/".$vxmlfile) {
										echo '<option value="'.$vxmlfile.'" selected >'.$vxmlfile."</option>\n";
										$selectedurl = $item['url'];
									}
									else {
										echo '<option value="'.$vxmlfile.'" >'.$vxmlfile."</option>\n";
									}
								}
							    // If account url star twith http => add it in list
								if (substr( $item['url'], 0, 4 ) === "http") {
									echo '<option value="' . $item['url'].'" SELECTED>'. $item['url']."</option>\n";
									$selectedurl = $item['url'];
								}
							?>
							</select>
							<input type="text" name="url" class="form-control" id="url" value="<?php echo $selectedurl;?>">

							<!-- <input id="urls" name="url"  > -->
							<!-- <datalist id="urls">			 -->
							<?php /*
								foreach ( $vxmlServicesList as $k => $vxmlfile ){
									$vxmlfile = "http://localhost/vxml/".$vxmlfile;
									if ($item['url']==$vxmlfile) {
										echo '<option value="'.$vxmlfile.'" selected >';
									}
									else {
										echo '<option value="'.$vxmlfile.'" >';
									}
								}
							    */
							?>
							<!-- </datalist> -->
							</div>
						</div>
					</div>
				</div>
			</div>
			<div class="row">
				<div class="col-md-12">
					<span id="url-help" class="help-block fpbx-help-block"><?php echo _('VoiceXML URL for the account.')?></span>
				</div>
			</div>
		</div>
		<div class="element-container">
			<div class="row">
				<div class="col-md-12">
					<div class="row">
						<div class="form-group">
							<div class="col-md-3">
								<label class="control-label" for="maxsessions"><?php echo _('Max Sessions')?></label>
								<i class="fa fa-question-circle fpbx-help-icon" data-for="maxsessions"></i>
							</div>
							<div class="col-md-9"><input type="text" name="maxsessions" class="form-control" id="maxsessions" value="<?php echo !empty($item['maxsessions']) ? $item['maxsessions'] : ""?>"></div>
						</div>
					</div>
				</div>
			</div>
			<div class="row">
				<div class="col-md-12">
					<span id="maxsessions-help" class="help-block fpbx-help-block"><?php echo _('{0...120} This indicates the maximum number of sessions allowed to this account. If there are not enough sessions then the VoiceXML application will generate an error.')?></span>
				</div>
			</div>
		</div>
		<div class="element-container">
			<div class="row">
				<div class="col-md-12">
					<div class="row">
						<div class="form-group">
							<div class="col-md-3">
								<label class="control-label" for="dialformat"><?php echo _('Dial Format')?></label>
								<i class="fa fa-question-circle fpbx-help-icon" data-for="dialformat"></i>
							</div>
							<div class="col-md-9"><input type="text" name="dialformat" class="form-control" id="dialformat" value="<?php echo !empty($item['dialformat']) ? $item['dialformat'] : ""?>"></div>
						</div>
					</div>
				</div>
			</div>
			<div class="row">
				<div class="col-md-12">
					<span id="dialformat-help" class="help-block fpbx-help-block"><?php echo _('{application(]/%s[)} This is a string to specify the interface and the peer that has been chosen for the transfer.
				The "%s" will be replaced by the string set in the <transfer> dest attribute. Remember to prefix the dest value
				with "tel:" to generate the transfer function. Other prefixes have been added to match some of the Asterisk functions,
				such as conference, call an application, etc. The default value is SIP/%s. This is similar to the general function,
				but for the account only. If not set, use the general value.')?></span>
				</div>
			</div>
		</div>
		<div class="element-container">
			<div class="row">
				<div class="col-md-12">
					<div class="row">
						<div class="form-group">
							<div class="col-md-3">
								<label class="control-label" for="mark"><?php echo _('Mark')?></label>
								<i class="fa fa-question-circle fpbx-help-icon" data-for="mark"></i>
							</div>
							<div class="col-md-9"><input type="text" name="mark" class="form-control" id="mark" value="<?php echo !empty($item['mark']) ? $item['mark'] : ""?>"></div>
						</div>
					</div>
				</div>
			</div>
			<div class="row">
				<div class="col-md-12">
					<span id="mark-help" class="help-block fpbx-help-block"><?php echo _('{Add a mark in traces, to help you to follow a call. This mark will be add to the channel number column in traces, with the session ID (Example : ...|33|... &rarr; ...|33_1_user1|... ).<br>
                You can set a specific string or predifine variables :<br>
                &nbsp;&nbsp;<b>@remote</b> : caller number<br>
				&nbsp;&nbsp;<b>@local</b> : called number <br>
				&nbsp;&nbsp;<b>@id</b> : VoieXML id parameter value<br>
				&nbsp;&nbsp;<b>@param</b> : VoiceXML parameter value<br>')?></span>
				</div>
			</div>
		</div>
		<div class="element-container">
			<div class="row">
				<div class="col-md-12">
					<div class="row">
						<div class="form-group">
							<div class="col-md-3">
								<label class="control-label" for="speech"><?php echo _('Speech')?></label>
								<i class="fa fa-question-circle fpbx-help-icon" data-for="speech"></i>
							</div>
							<div class="col-md-9 radioset">
								<input type="radio" name="speech" id="speechyes" value="yes" <?php echo (trim($item['speech']) == "yes"?"CHECKED":"") ?>>
								<label for="speechyes"><?php echo _("Yes");?></label>
								<input type="radio" name="speech" id="speechno" value="no" <?php echo (trim($item['speech']) == "yes"?"":"CHECKED") ?>>
								<label for="speechno"><?php echo _("No");?></label>
								<input type="radio" name="speech" id="speechemulation" value="emulation" <?php echo (trim($item['speech']) == "emulation"?"CHECKED":"") ?>>
								<label for="speechemulation"><?php echo _("Emulation");?></label>
								<input type="radio" name="speech" id="speechautomatic" value="automatic" <?php echo (trim($item['speech']) == "automatic"?"CHECKED":"") ?>>
								<label for="speechautomatic"><?php echo _("Automatic");?></label>
							</div>
						</div>
					</div>
				</div>
			</div>
			<div class="row">
				<div class="col-md-12">
					<span id="speech-help" class="help-block fpbx-help-block"><?php echo _('Speech recognition activation to connect an ASR engine.
				This speech function is as the general function, but for
				the account only. If not set, use the general value')?></span>
				</div>
			</div>
		</div>
		<div class="element-container">
			<div class="row">
				<div class="col-md-12">
					<div class="row">
						<div class="form-group">
							<div class="col-md-3">
								<label class="control-label" for="speechprovider"><?php echo _('Speech Provider')?></label>
								<i class="fa fa-question-circle fpbx-help-icon" data-for="speechprovider"></i>
							</div>
							<div class="col-md-9"><input type="text" name="speechprovider" class="form-control" id="speechprovider" value="<?php echo !empty($item['speechprovider']) ? $item['speechprovider'] : ""?>"></div>
						</div>
					</div>
				</div>
			</div>
			<div class="row">
				<div class="col-md-12">
					<span id="speechprovider-help" class="help-block fpbx-help-block"><?php echo _('{{nuance/voicebox/lumenvox/verbio} You can set which speech recognition provider to allocate to the speech resource.
				When the default is empty, use the first option.This speech function is as the general function,
				but for the account only. If not set, use the general value.')?></span>
				</div>
			</div>
		</div>
		<div class="element-container">
			<div class="row">
				<div class="col-md-12">
					<div class="row">
						<div class="form-group">
							<div class="col-md-3">
								<label class="control-label" for="maxtime"><?php echo _('Max time (s)')?></label>
								<i class="fa fa-question-circle fpbx-help-icon" data-for="maxtime"></i>
							</div>
							<div class="col-md-9"><input type="text" name="maxtime" class="form-control" id="maxtime" value="<?php echo !empty($item['maxtime']) ? $item['maxtime'] : ""?>"></div>
						</div>
					</div>
				</div>
			</div>
			<div class="row">
				<div class="col-md-12">
					<span id="maxtime-help" class="help-block fpbx-help-block"><?php echo _('{Set the maximum duration of call in secondes.<br>The default value is <b>0</b>, which means <b>unlimited</b>')?></span>
				</div>
			</div>
		</div>
		<div class="element-container">
			<div class="row">
				<div class="col-md-12">
					<div class="row">
						<div class="form-group">
							<div class="col-md-3">
								<label class="control-label" for="vxmlparam"><?php echo _('Session parameter')?></label>
								<i class="fa fa-question-circle fpbx-help-icon" data-for="vxmlparam"></i>
							</div>
							<div class="col-md-9"><input type="text" name="vxmlparam" class="form-control" id="vxmlparam" value="<?php echo !empty($item['vxmlparam']) ? $item['vxmlparam'] : ""?>"></div>
						</div>
					</div>
				</div>
			</div>
			<div class="row">
				<div class="col-md-12">
					<span id="vxmlparam-help" class="help-block fpbx-help-block"><?php echo _('String to pass to the VoiceXML service as a parameter')?></span>
				</div>
			</div>
		</div>
		<div class="element-container">
			<div class="row">
				<div class="col-md-12">
					<div class="row">
						<div class="form-group">
							<div class="col-md-3">
								<label class="control-label" for="startdelay"><?php echo _('Start delay (ms)')?></label>
								<i class="fa fa-question-circle fpbx-help-icon" data-for="startdelay"></i>
							</div>
							<div class="col-md-9"><input type="text" name="startdelay" class="form-control" id="startdelay" value="<?php echo !empty($item['startdelay']) ? $item['startdelay'] : ""?>"></div>
						</div>
					</div>
				</div>
			</div>
			<div class="row">
				<div class="col-md-12">
					<span id="startdelay-help" class="help-block fpbx-help-block"><?php echo _('Delay in milli secondes to start the service.<br>
            The default value is <b>0</b>, which means <b>no delay</b>')?></span>
				</div>
			</div>
		</div>
		<div class="element-container">
			<div class="row">
				<div class="col-md-12">
					<div class="row">
						<div class="form-group">
							<div class="col-md-3">
								<label class="control-label" for="additionalparams"><?php echo _('Additional Parameters')?></label>
								<i class="fa fa-question-circle fpbx-help-icon" data-for="additionalparams"></i>
							</div>
							<div class="col-md-9">
								<textarea name="additionalparams" form="voximalapp" style="max-width:100%;" rows="2" class="form-control" id="additionalparams"><?php echo !empty($item['additionalparams']) ? $item['additionalparams'] : ""?></textarea>
							</div>
						</div>
					</div>
				</div>
			</div>
			<div class="row">
				<div class="col-md-12">
					<span id="additionalparams-help" class="help-block fpbx-help-block"><?php echo _('ex:</br>name=John;</br>
					surname=Doe;')?></span>
				</div>
			</div>
		</div>
	</form>
</div>

<script type="text/javascript">


	// Handler on textarea Keyjson onChange()
	function urlOnChangeHandler() {
		var selurl = document.getElementById("selurl");
		var url    = document.getElementById("url");
		if (selurl.options[selurl.selectedIndex].value.indexOf("http") != 0)
			url.value  = "http://localhost/vxml/" + selurl.options[selurl.selectedIndex].value;
		else
			url.value  = selurl.options[selurl.selectedIndex].value;
	}
</script>
