<?php
//	License for all code of this FreePBX module can be found in the license file inside the module directory
//	Copyright 2015 Sangoma Technologies.
//

include_once dirname(__FILE__) . '/../voximal-def.inc';


$root = "root";

$dataurl = "ajax.php?module=voximal&command=getfilelist";

if (isset($request) && isset($request["folder"])) {
	$dataurl .= "&folder=".$request["folder"];
}
if (isset($request["root"]) ) {
	if ($request["root"] == "/") {
		$dataurl .= "&root=";
	}
	else {
		$dataurl .= "&root=".$request['root'] ;
	}
	$root    = $request['root'] ;

	// explode root to get all folders
	$rootfolder_list = explode("/", $root);

}
if (isset($request["filepath"])) {
	$dataurl .= "&filepath=".$request['filepath'] ;

	if ($request["filepath"] == "audio") {

	}
}

/*
freepbx_log(FPBX_LOG_CRITICAL,"== filemanager.php ==: dataurl=".$dataurl);
foreach ($request as $k => $v) {
	freepbx_log(FPBX_LOG_CRITICAL,"            $k=>$v");
}
*/
?>

<script type="text/javascript" src="modules/voximal/assets/filemanager.js"></script>

<script>
 function onAddDirClick() {
	//document.form.submit();
	document.getElementById("idwizform").submit();
 };

 function onAddFileClick() {
	//document.form.submit();
	document.getElementById("idwizform2").submit();
 };
</script>




	<div class="section-title" data-for="filelist">
		<h3><?php echo _("Files list");?></h3> <!-- <i class="fa fa-minus"></i> -->
	</div>
	<div id="toolbar-all">
		<!-- <button id="uploadFile" class="btn btn-default"><?php echo _("Upload file")?></button> -->
		<a href="#" class="btn btn-default" data-toggle="modal" data-target="#uploadFile"><?php echo _("Upload file(s)")?></a>
		<a href="#" class="btn btn-default" data-toggle="modal" data-target="#popupdirectory"><?php echo _("New folder")?></a>
		<a href="#" class="btn btn-default" data-toggle="modal" data-target="#popupfile"><?php echo _("New file")?></a>
	</div>



	<div class="section" data-id="filelist">
		<form method="POST" action="?display=voximalfilemanager" id="idSelectPathForm">
			<input type="hidden" name="root"  id="selRoot" value="<?php echo $root?>" />
			<input type="hidden" name="folder" id="selFolder" value="<?php echo $_REQUEST['folder'];?>">
			<select id="filepath" name="filepath"  onchange="onFilePathChange()" >
				<?php
						$urlfilepath = "";
						$displayname = "vxml";
						//global $vFilemanager_pathlist;
						//if (isset($Constants::vFilemanager_pathlist)) {
						foreach (Constants::$vFilemanager_pathlist as $k => $elt_fm) {
							if (($request["filepath"] == $elt_fm["value"]) || (empty($request["filepath"]) && $elt_fm["value"]=="vxml") ) {
								echo '<option value="'.$elt_fm["value"].'"  selected >' .$elt_fm["display"] . '</option>';
								error_log($elt_fm["display"]." => ".$elt_fm["value"]);
								// added filepath in url
								if ($elt_fm["value"] != "vxml") {
									$urlfilepath = "&filepath=".$elt_fm["value"];
								}
								$displayname = $elt_fm["value"];
							}
							else {
								echo '<option value="'.$elt_fm["value"].'">' .$elt_fm["display"] . '</option>';
							}
						}
						/*} else {
							echo '<option value="empty">$vFilemanager_pathlist not set</option>';
						}*/
				?>
			</select>&nbsp;: <b><a href="?display=voximalfilemanager<?php echo $urlfilepath; ?>"><?php echo $displayname; ?></a>


<!--			<select id="filepath" name="filepath"  onchange="onFilePathChange()" >
					<option value="vxml"  <?php echo ($request["filepath"]=="audio" )?"":"selected"; ?>>Application files folder</option>
					<option value="audio" <?php echo ($request["filepath"]=="audio" )?"selected":""; ?> >Audio files folder</option>
			</select>&nbsp;: <b><a href="?display=voximalfilemanager<?php echo ($request["filepath"]=="audio" )?"&filepath=audio":""; ?>"><?php echo ($request["filepath"]=="audio" )?"audio":"vxml"; ?></a>
-->
			<?php
			if (isset($rootfolder_list) ) {
				// Check if folder is ".."
				$localfolder = $request["folder"];

				// Check if folder is ".."
				if ($localfolder == "..") {
					$localfolder = array_pop($rootfolder_list);
					if (count($rootfolder_list))
						$localfolder = array_pop($rootfolder_list);
					else
						$localfolder = "";
				}

				$pathroot="";
				foreach ($rootfolder_list as $k => $f) {
//freepbx_log(FPBX_LOG_CRITICAL,"==== DBGJYG: f='$f' pathroot=$pathroot");
					if (!empty($f)) {
						if (empty($pathroot))
							$pathtodisp = "root";
						else
							$pathtodisp = $pathroot;

						if ($f != "root") {
							$url = ' / <a href="?display=voximalfilemanager&folder='.$f.'&root='.$pathtodisp;
							if ($request["filepath"]=="audio" ) {
								$url .= "&filepath=audio";
							}
							echo $url .'">'.$f.'</a>';
						}
						if (empty($pathroot)) {
							$pathroot = $f;
						}
						else {
							$pathroot .= "/".$f;
						}
					}
				}
				// Add local
				if (isset($request) && isset($request["folder"]) && !empty($localfolder)) {
					echo " / " . $localfolder ."<br>";
				}
				else
					echo "<br>";
			}
		?></b>

		</form>

		<table id="mygridfile" data-url="<?php echo $dataurl?>" data-cache="false" data-toolbar="#toolbar-all" data-maintain-selected="true" data-show-columns="true" data-maintain-selected="true" data-toggle="table" data-pagination="true" data-search="true" class="table table-striped">
			<thead>
				<tr>
					<!-- <th data-formatter="cbFormatter" data-checkbox="true"></th> -->
					<th data-field="filename"><?php echo _("Filename")?></th>
					<th data-field="type"><?php echo _("Type")?></th>
					<th data-field="size"><?php echo _("Size")?></th>
					<th data-field="modified"><?php echo _("Date modified")?></th>
					<th data-field="actions" class="col-xs-2"><?php echo _("Actions")?></th>
				</tr>
			</thead>
		</table>
	</div>

		<!-- NEW FOLDER MODAL -->
		<div class="modal fade" id="popupdirectory" tabindex="-1" role="dialog" aria-labelledby="merlin" aria-hidden="true">
			<div class="modal-dialog modal-lg">
				<form method="POST" action="?display=voximalfilemanager" id="idwizform">
					<input type="hidden" name="action"						value="adddir">
					<input type="hidden" name="folder" 		id="folder"		value="<?php echo $_REQUEST['folder'];?>">
					<input type="hidden" name="root"   		id="root"		value="<?php echo $_REQUEST['root'];?>">
					<input type="hidden" name="filepath"	id="filepath"	value="<?php echo $request["filepath"];?>">

					<div class="modal-content">
						<div class="modal-header">
							<button type="button" class="close" data-dismiss="modal" aria-hidden="true">X</button>
								<h4 class="modal-title" id="myModalLabel"><?php echo _("New folder")?></h4>
						</div>
						<div class="modal-body">
						<input type="hidden" id="oldval" value=""/>
						<div class="element-container">
							<div class="row">
								<div class="col-md-12">
									<div class="row">
										<div class="form-group">
											<div class="col-md-3">
												<label class="control-label" for="newfoldername"><?php echo _("Directory name") ?></label>
												<i class="fa fa-question-circle fpbx-help-icon" data-for="newfoldername"></i>
											</div>
											<div class="col-md-9 radioset">
												<input type="text" class="form-control" id="newfoldername" name="newfoldername" value="">
											</div>
										</div>
									</div>
								</div>
							</div>
							<div class="row">
								<div class="col-md-12">
									<span id="newfoldername-help" class="help-block fpbx-help-block"> <?php echo _("Enter en directory name."); ?></span>
								</div>
							</div>
						</div>
						<div class="modal-footer">
							<!-- <a href="?display=voximalapp&amp;view=adddirectory" class="btn btn-primary"><i class="fa"></i> <?php echo _('Add')?></a> -->
							<button type="button" class="btn btn-default" data-dismiss="modal"><?php echo _("Close")?></button>
							<button type="button" class="btn btn-primary" id="submitdirectory" onclick="onAddDirClick()" ><?php echo _("Add")?></button>
						</div>
						</div>
					</div>
				</form>
			</div>
		</div>

		<!-- NEW FILE MODAL -->
		<div class="modal fade" id="popupfile" tabindex="-1" role="dialog" aria-labelledby="merlin" aria-hidden="true">
			<div class="modal-dialog modal-lg">
				<form method="POST" action="?display=voximalfilemanager" id="idwizform2">
					<input type="hidden" name="action"						value="addfile">
					<input type="hidden" name="folder" 		id="folder"		value="<?php echo $_REQUEST['folder'];?>">
					<input type="hidden" name="root"   		id="root"		value="<?php echo $_REQUEST['root'];?>">
					<input type="hidden" name="filepath"	id="filepath"	value="<?php echo $request["filepath"];?>">

					<div class="modal-content">
						<div class="modal-header">
							<button type="button" class="close" data-dismiss="modal" aria-hidden="true">X</button>
								<h4 class="modal-title" id="myModalLabel"><?php echo _("New file")?></h4>
						</div>
						<div class="modal-body">
						<input type="hidden" id="oldval" value=""/>
						<div class="element-container">
							<div class="row">
								<div class="col-md-12">
									<div class="row">
										<div class="form-group">
											<div class="col-md-3">
												<label class="control-label" for="newfilename"><?php echo _("File name") ?></label>
												<i class="fa fa-question-circle fpbx-help-icon" data-for="newfilename"></i>
											</div>
											<div class="col-md-9 radioset">
												<input type="text" class="form-control" id="newfilename" name="newfilename" value="">
											</div>
										</div>
									</div>
								</div>
							</div>
							<div class="row">
								<div class="col-md-12">
									<span id="newfilename-help" class="help-block fpbx-help-block"> <?php echo _("Enter the file name, with the extension."); ?></span>
								</div>
							</div>
						</div>
						<div class="modal-footer">
							<!-- <a href="?display=voximalapp&amp;view=adddirectory" class="btn btn-primary"><i class="fa"></i> <?php echo _('Add')?></a> -->
							<button type="button" class="btn btn-default" data-dismiss="modal"><?php echo _("Close")?></button>
							<button type="button" class="btn btn-primary" id="submitfile" onclick="onAddFileClick()" ><?php echo _("Add")?></button>
						</div>
						</div>
					</div>
				</form>
			</div>
		</div>

		<!-- UPLOAD FILES MODAL  -->
		<div class="modal fade" id="uploadFile" tabindex="-1" role="dialog" aria-labelledby="uploadFile" aria-hidden="true">
			<div class="modal-dialog modal-lg">
				<div class="modal-content">
					<div class="modal-header">
						<button type="button" class="close" data-dismiss="modal" aria-hidden="true">&times;</button>
						<h4 class="modal-title" id="uploadFile"><?php echo _("Upload file(s)") ?></h4>
					</div>
					<div class="modal-body">
						<input type="hidden" id="oldval" value=""/>
						<!--Number-->
						<div class="element-container">
							<div class="row">
								<div class="col-md-12">
									<div class="row">
										<div class="form-group">
											<div class="col-md-3">
												<label class="control-label" for="fileupload"><?php echo _("Upload File(s)");?></label>
												<i class="fa fa-question-circle fpbx-help-icon" data-for="fileupload"></i>
											</div>
											<div class="col-md-9">
												<span class="btn btn-default btn-file">
													<?php echo _("Browse")?>
													<input id="fileupload" type="file" name="files[]" multiple onchange="uploadFile()" >
												</span>
												<div id="upload-progress" class="progress">
													<div class="progress-bar" role="progressbar" aria-valuenow="60" aria-valuemin="0" aria-valuemax="100" style="width: 0%;"></div>
												</div>
												<!-- <div id="dropzone">
													<div class="message"><?php echo _("Drop Multiple Files or Archives Here")?></div>
												</div> -->
											</div>
										</div>
									</div>
									<div class="row">
										<div class="col-md-12">
											<span id="fileupload-help" class="help-block fpbx-help-block"><?php echo sprintf(_("Upload files from your local system. Supported upload formats are: %s. This includes archives (that include multiple files) and multiple files"),"<i><strong>vxml</strong></i>")?></span>
										</div>
									</div>
								</div>
							</div>
						</div>
					</div>
					<div class="modal-footer">
						<button type="button" class="btn btn-default" data-dismiss="modal"><?php echo _("Close")?></button>
						<!-- <button type="button" class="btn btn-primary" id="submitupload"><?php echo _("Upload")?></button> -->
					</div>
				</div>
			</div>
		</div>



<script>var supportedRegExp = "<?php echo "vxml|xml";?>;"</script>
